Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!
Bug 59508 - media-video/mplayer kills required CFLAGS
Summary: media-video/mplayer kills required CFLAGS
Status: RESOLVED FIXED
Alias: None
Product: Gentoo Linux
Classification: Unclassified
Component: New packages (show other bugs)
Hardware: All All
: High normal (vote)
Assignee: media-video herd
URL:
Whiteboard:
Keywords:
Depends on:
Blocks: cflags
  Show dependency tree
 
Reported: 2004-08-05 05:04 UTC by Ciaran McCreesh
Modified: 2004-11-08 21:47 UTC (History)
0 users

See Also:
Package list:
Runtime testing required: ---


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Ciaran McCreesh 2004-08-05 05:04:55 UTC
media-video/mplayer unsets CFLAGS. This causes some rather nasty breakages on certain systems, see bug #59506 (Required CFLAGS being killed metabug) for details.
Comment 1 Matthew Kennedy (RETIRED) gentoo-dev 2004-08-05 21:55:57 UTC
Doesn't the ebuild contain why this is the case?
Comment 2 Ciaran McCreesh 2004-08-06 05:02:46 UTC
"Upstream doesn't like it" is no excuse for killing ABI flags. By all means strip out optimisation flags and use upstream's instead if they're going to have a hissy fit otherwise. However, ABI-related flags must be kept or the code produced will be unusable.
Comment 3 Chris White (RETIRED) gentoo-dev 2004-11-08 21:47:28 UTC
Hmm, thought I marked this fixed... well anyways, it's fixed and uses custom
CFLAGS now.